Bug 1699189 - fix truncate lock to cover the write in tuncate clean
Summary: fix truncate lock to cover the write in tuncate clean
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: disperse
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1732770 1732790
TreeView+ depends on / blocked
 
Reported: 2019-04-12 04:01 UTC by Kinglong Mee
Modified: 2019-07-24 11:30 UTC (History)
2 users (show)

Fixed In Version: glusterfs-7.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1732770 (view as bug list)
Environment:
Last Closed: 2019-07-05 07:49:10 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22552 None Open ec: fix truncate lock to cover the write in tuncate clean 2019-04-12 11:38:24 UTC

Description Kinglong Mee 2019-04-12 04:01:06 UTC
Description of problem:

ec_truncate_clean does writing under the lock granted for truncate,
but the lock is calculated by ec_adjust_offset_up, so that,
the write in ec_truncate_clean is out of lock.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2019-04-12 04:03:24 UTC
REVIEW: https://review.gluster.org/22552 (ec: fix truncate lock to cover the write in tuncate clean) posted (#1) for review on master by Kinglong Mee

Comment 2 Worker Ant 2019-04-12 11:38:25 UTC
REVIEW: https://review.gluster.org/22552 (ec: fix truncate lock to cover the write in tuncate clean) merged (#2) on master by Pranith Kumar Karampuri


Note You need to log in before you can comment on or make changes to this bug.